- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SparseHessianMatrix Class Reference

The in-memory representation of a SparseHessianMatrix.. More...

`#include <OSGeneral.h>`

List of all members.

## Public Member Functions
| SparseHessianMatrix ()
| Default constructor.
| SparseHessianMatrix (int startSize, int valueSize)
| An Alternative Constructor.
| ~SparseHessianMatrix ()
| Default destructor.
## Public Attributes
bool | bDeleteArrays
| bDeleteArrays is true if we delete the arrays in garbage collection set to true by default
int | hessDimension
| hessDimension is the number of nonzeros in each array.
int * | hessRowIdx
| hessRowIdx is an integer array of row indicies in the range 0, .
int * | hessColIdx
| hessColIdx is an integer array of column indicies in the range 0, .
double * | hessValues
| hessValues is a double array of the Hessian values.

## Detailed Description

The in-memory representation of a SparseHessianMatrix..

Remarks:

Store and uppertriangular Hessian Matrix in sparse format

Assume there are n variables in what follows

Definition at line 316 of file OSGeneral.h.

## Constructor & Destructor Documentation

SparseHessianMatrix::SparseHessianMatrix | ( |  | ) |

Default constructor.

Definition at line 269 of file OSGeneral.cpp.

SparseHessianMatrix::SparseHessianMatrix | ( | int | startSize,
|  | int | valueSize |
| ) |  |  |

An Alternative Constructor.

Parameters:

  | startSize | holds the size of the arrays.
  | valueSize | holds the size of the value and index arrays.

SparseHessianMatrix::~SparseHessianMatrix | ( |  | ) |

Default destructor.

Definition at line 280 of file OSGeneral.cpp.

References bDeleteArrays, hessColIdx, hessRowIdx, and hessValues.

## Member Data Documentation

bool SparseHessianMatrix::bDeleteArrays

bDeleteArrays is true if we delete the arrays in garbage collection set to true by default

Definition at line 323 of file OSGeneral.h.

Referenced by OSInstance::getLagrangianHessianSparsityPattern(), and ~SparseHessianMatrix().

int SparseHessianMatrix::hessDimension

hessDimension is the number of nonzeros in each array.

Definition at line 328 of file OSGeneral.h.

Referenced by IpoptProblem::get_nlp_info(), BonminProblem::get_nlp_info(), and OSInstance::getLagrangianHessianSparsityPattern().

int* SparseHessianMatrix::hessRowIdx

hessRowIdx is an integer array of row indicies in the range 0, .

.., n - 1.

Definition at line 333 of file OSGeneral.h.

Referenced by IpoptProblem::eval_h(), BonminProblem::eval_h(), OSInstance::getLagrangianHessianSparsityPattern(), and ~SparseHessianMatrix().

int* SparseHessianMatrix::hessColIdx

hessColIdx is an integer array of column indicies in the range 0, .

.., n - 1.

Definition at line 338 of file OSGeneral.h.

Referenced by IpoptProblem::eval_h(), BonminProblem::eval_h(), OSInstance::getLagrangianHessianSparsityPattern(), and ~SparseHessianMatrix().

double* SparseHessianMatrix::hessValues

hessValues is a double array of the Hessian values.

Definition at line 343 of file OSGeneral.h.

Referenced by CheckHessianUpper(), IpoptProblem::eval_h(), BonminProblem::eval_h(), KnitroProblem::evalH(), OSInstance::getLagrangianHessianSparsityPattern(), OSInstance::getSecondOrderResults(), main(), and ~SparseHessianMatrix().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSGeneral.cpp